# Kasumi: Dictionary management tool for Anthy
# Copyright (C) 2004 Takashi Nakamoto
#
# This file is part of Kasumi
#
# Kasumi is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Please send bug-reports, opinions and patches, if any, to me by E-Mail.
# My E-mail address is following: bluedwarf@openoffice.org

require 'jcode.rb'

require 'wordtable.rb'

def analyze_anthy_dictionary(dic)
  $KCODE='u'

  lines = dic.split(/\n/)
  
  # divide the dictionary to some sections
  i = 0
  while i < lines.size do 
    if lines[i] =~ /^\s*\#.*$/ then
      # comment section
      i += 1
    elsif lines[i] =~ /^\s*$/ then
      # empty section
      i += 1
    elsif lines [i] =~ /^\s*(\S+)\s(\S+)\s(\S+)\s*$/
      # word section
      iter = $store.append
      $store.set_value(iter,COL_WORD,$3)
      $store.set_value(iter,COL_YOMI,$1)
      freq = $2.to_i
      if freq > 32767 then
        freq = 32767
      elsif freq < 1 then
        freq = 1
      end
      $store.set_value(iter,COL_FREQ,freq)
      etc = Hash.new
      while lines[i+=1] =~ /^\s*(\S+)\s*=\s*(\S+)\s*$/
        if $1 == "品詞" then
          $store.set_value(iter,COL_PART,$2)
        else
          etc[$1] = $2
        end
      end
      $store.set_value(iter,COL_ETC,etc)
    else
      puts "Error: Invalid dictionary at line #{i}"
      exit
    end
  end
end

