#!/usr/bin/ruby

# Kasumi: Dictionary management tool for Anthy
# Copyright (C) 2004 Takashi Nakamoto
#
# This file is part of Kasumi
#
# Kasumi is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Please send bug-reports, opinions and patches, if any, to me by E-Mail.
# My E-mail address is following: bluedwarf@openoffice.org

require 'gtk2'
require 'iconv.so'

require 'topwindow.rb'
require 'io.rb'
require 'anthy_dictionary.rb'

Gtk.init
$dic_file = "#{ENV['HOME']}/.anthy/private-dic.src"
$modified = false

contents = read_from($dic_file)
contents_u8 = (Iconv.iconv("UTF-8","EUC-JP",contents)).to_s

create_top_window

analyze_anthy_dictionary(contents_u8)

Gtk.main

